package net.tomatentum.cutin;

import static org.junit.jupiter.api.Assertions.assertTrue;

import org.junit.jupiter.api.Test;

import net.tomatentum.cutin.method.ReflectedMethod;

class ReflectedMethodTest {
    
    @Test
    void methodTest() {
        ReflectedMethod<String, String> method = new TestReflectedMethod(new TestMethodClass());
        Object result = method.run("testContext");
        assertTrue((boolean)result);
        System.out.println("Success");
    }

    @Test
    void testBCMethod() {
        ReflectedMethod<String, Double> method = new TestBestCandidateMethod(
            "test", 
            new TestMethodClass());
        Object result = method.run((double)4);
        assertTrue((boolean)result);
        System.out.println("Success");
    }
}
